SLASH_AGN1 = "/agn";
SlashCmdList.AGN = function(msg, editBox)
    local cmdString = strsplit(" ", msg);
    local cmd = AGN.commands[cmdString];
    if cmd ~= nil then
        cmd();
    else
        AGN.commands.help();
    end
end;

function AGN.commands.help()
    print([[AGN commands:
    debug - enables/disables debug messages
    enable - enables automatically setting the guild note
    disable - disables automatically setting the guild note]]);
end

function AGN.commands:debug()
    AGN_CONFIG.debug = not AGN_CONFIG.debug;
    AGN:d("AutoGuildNote Debugging " ..
              (AGN_CONFIG.debug and "enabled" or "disabled"));
end

function AGN.commands:enable() AGN_CONFIG.enabled = true; end

function AGN.commands:disable() AGN_CONFIG.enabled = false; end

